*====================================================================================*
*                                  analys.do                                    	 *
*====================================================================================*

*------------------------------------------------------------------------------------*
*  van den Berg, Kalmijn, Leopold, 2020, replication files                           *
*  last update: April 2020                                                         	 *
*  data: OKiN											                             *
*------------------------------------------------------------------------------------*

***--------------------------------------------------------------------------***

/* 	This do-files includes the following: 
-  	Descriptive statistics (Table 1) 
- 	Multinomial logistic regression analyses (Table 2)
- 	Additional analyses (Table 3)
*/


******************************  Descriptive statistics *************************
// TABLE 1
use "${posted}\data.dta", clear
foreach var of varlist left3 step conflict notclose confres closeres   ///
			confpp r1birthy finan sib male r3asep {
	sum `var' 
	fre `var'
	}
	*


******************************  Analyses  ************************************
*******************************************************************************
*** Mlogit leaving home and early cohabitation
********************************************************************************

** TABLE 2 
	** Model 1 
	mlogit left3	i.step									///
					c.c_r1birthy i.male						///
					, base(1) rrr 				
	estimates store a1
	fitstat, saving(m1)


	** Model 2 
	mlogit left3	i.step									///
					c.c_r1birthy i.male						///
					i.notclose i.conflict 					///
					, base(1) rrr 				
	estimates store a2
	fitstat, using(m1)

	** Model 3 
	mlogit left3	i.step									///
					c.c_r1birthy i.male						///
					i.notclose i.conflict 					///
					i.notclose##i.conflict 					///
					, base(1) rrr 				
	estimates store a3
	fitstat
	
	** Model 4
	mlogit left3 	i.step 									///
					c.c_r1birthy i.male						///
					i.notclose i.conflict 					///
					c.c_closeres c.c_confres 				///
					i.confpp i.finan c.c_sib 				///
					, base(1) rrr 						
					estimates store a4	
	fitstat

	esttab a1 a2 a3 a4 using "${tables}\table2.rtf", 		  ///
	replace eform b(2) se constant wide

*********************************************************************************

** TABLE 3 

	** Model 1
	mlogit left3 	i.step 									///
					c.c_r1birthy i.male						///
					i.notclose i.conflict 					///
					c.c_closeres c.c_confres 				///
					i.confpp i.finan c.c_sib 				///
					c.c_closenonres c.c_confnonres c.c_r3asep ///							
					, base(1) rrr 				
					estimates store b1	

/// Additional analysis only among stepfamilies
drop if step==0
drop if agestep==.a
center agestep stepclos stepconf

	** Model 2
	mlogit left3 	c.c_r1birthy i.male						///
					i.notclose i.conflict 					///
					c.c_closeres c.c_confres 				///
					i.confpp i.finan c.c_sib 				///
					i.femalestep c.c_agestep				///							
					, base(1) rrr 				
					estimates store b2	

	** Model 3
	mlogit left3 	c.c_r1birthy i.male						///
					i.notclose i.conflict 					///
					c.c_closeres c.c_confres 				///
					i.confpp i.finan c.c_sib 				///
					i.femalestep c.c_agestep				///	
					i.notclose##i.femalestep i.conflict##i.femalestep ///
					, base(1) rrr 				
					estimates store b3	


esttab b1 b2 b3  using "${tables}\table3.rtf", 		  ///
		replace eform b(2) se constant wide	
